-- attention au nvl obligatoire dans la fonction pour obtenir 0 au lieu de null quand le service ne contient personne
-- très important : a cause des null dans vac on est obligé de faire des nvl car null+5 ca donne pas 5 : dans les fonction et dans les triggers !!!!!!!!!
-- si on veut faire des dbms_output dans le trigger pour debeugger il faut afficher la fenetre SORTIE SGBD
-- se rappeler que dans l entete d une fonction on met pas varchar2(32) ou number(2) mais varchar2 et number tout court.


create or replace function MasseSalariale(numS in number) return number
as
  nb number(8);
begin
select sum(nvl(sal,0)+nvl(vac,0)) into nb from drh where numserv=numS;
return nb;
end;
/

alter table serv add (budget number
					  );

declare
  cursor cx is select numserv from serv for update ;
  
begin
  for elem in cx loop
    update serv set budget=massesalariale(elem.numserv) where current of cx;
  end loop;
end;
/

select * from serv;
select * from drh;

-- a cause des histoire de table en mutation comme dans la question 4 on passe par budget=budget-ancien_v-ancien_s+nouveau_v+nouveau_s 
-- sinon si on avait tenté d acceder a drh  en utilisant la fonction masse_salarial on aurait eu le message table en mutation

create or replace trigger question5 after insert or delete or update of vac,sal on drh
for each row
declare
 ancien_s number;
 ancien_v number;
 nouveau_s number;
 nouveau_v number;
begin

if updating then 
  ancien_s:=nvl(:old.sal,0);
  ancien_v:=nvl(:old.vac,0);
  nouveau_s:=nvl(:new.sal,0);
  nouveau_v:=nvl(:new.vac,0);
  
  if ((nouveau_v!=ancien_v) or (nouveau_s!=ancien_s)) then 
    update serv set budget=budget-ancien_v-ancien_s+nouveau_v+nouveau_s where numserv=:new.numserv;
  end if;  
end if;

if deleting then 
   ancien_s:=nvl(:old.sal,0);
   ancien_v:=nvl(:old.vac,0);
   update serv set budget=budget-ancien_v-ancien_s where numserv=:old.numserv;
end if;

if inserting then 
   nouveau_s:=nvl(:new.sal,0);
   nouveau_v:=nvl(:new.vac,0);
   update serv set budget=budget+nouveau_v+nouveau_s where numserv=:new.numserv;
end if;
	   
	
	
end;
/
